This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309557 - Filter box is missing on buildconfig/deploymentconfig page
Filter box is missing on buildconfig/deploymentconfig page
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
yapei
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 01:08 EST by Yanping Zhang
Modified: 2016-05-12 13:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:09:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2016-02-18 01:08:14 EST
Description of problem:
Create app in project, login web console, check on Builds->bcname page and Deployments->dcname page, there is no filter box to filter builds/deployments now. The filter box existed before.

Version-Release number of selected component (if applicable):
devenv-rhel7_3449
openshift v1.1.2-311-g84b45f9
kubernetes v1.2.0-origin
etcd 2.2.2+git


How reproducible:
Always

Steps to Reproduce:
1.Create app in project.
2.Login web console, check on Builds->bcname page and Deployments->dcname page,
3.

Actual results:
2.There is no filter box to filter builds/deployments 

Expected results:
2.Should have filter box to filter builds/deployments

Additional info:
Comment 1 Yanping Zhang 2016-02-22 22:13:29 EST
Tested on devenv-rhel7_3509.
openshift v1.1.3-180-gb9684bf
kubernetes v1.2.0-alpha.7-703-gbc4550d
etcd 2.2.5

Steps to verify:
1.Create app in project, and trigger some builds and deployments.
2.Add labels to the builds and deployments.
3.Check on the buildconfig and deploymentconfig page.
4.Filter builds and deployments with labels.
Actual results:
3.There is filter box on buildconfig and deploymentconfig page now.
4.Builds and deployments can be filtered by labels.

The bug has been fixed, so move it to Verified.

Note You need to log in before you can comment on or make changes to this bug.